---
{%- from "haproxy/map.jinja" import haproxy with context %}
haproxy-config:
  file.managed:
    - name: {{ haproxy.config.dir }}/{{ haproxy.config.configfile }}
    - source: salt://haproxy/templates/haproxy.cfg.j2
    - user: {{ haproxy.config.user }}
    - group: {{ haproxy.config.group }}
    - mode: "0600"
    - template: jinja
    - watch_in:
      - service: haproxy-service
